Package org.jboss.logging

# Class JDKLoggerProvider

java.lang.Object
org.jboss.logging.JDKLoggerProvider

All Implemented Interfaces:
  `LoggerProvider`

public final class JDKLoggerProvider extends Object implements LoggerProvider
An implementation of the log provider for the JDK Log Manager.

## Constructor Summary

Constructors
Constructor
Description
`JDKLoggerProvider()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearMdc()`
`void`
`clearNdc()`
`Logger`
`getLogger(String name)`
Returns a logger which is backed by a logger from the log provider.
`Object`
`getMdc(String key)`
`Map<String,Object>`
`getMdcMap()`
`String`
`getNdc()`
`int`
`getNdcDepth()`
`String`
`peekNdc()`
`String`
`popNdc()`
`void`
`pushNdc(String message)`
`Object`
`putMdc(String key, Object value)`
`void`
`removeMdc(String key)`
`void`
`setNdcMaxDepth(int maxDepth)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jboss.logging.LoggerProvider

`clearMdc, clearNdc, getMdc, getMdcMap, getNdc, getNdcDepth, peekNdc, popNdc, pushNdc, putMdc, removeMdc, setNdcMaxDepth`

## Constructor Details

### JDKLoggerProvider

public JDKLoggerProvider()

## Method Details

### getLogger

public Logger getLogger(String name)
Description copied from interface: `LoggerProvider`
Returns a logger which is backed by a logger from the log provider.

Note: this should never be `null`

Specified by:
  `getLogger` in interface `LoggerProvider`
Parameters:
  `name` - the name of the logger
Returns:
  a logger for the log provider logger.

### clearMdc

public void clearMdc()

### getMdc

public Object getMdc(String key)

### getMdcMap

public Map<String,Object> getMdcMap()

### putMdc

public Object putMdc(String key, Object value)

### removeMdc

public void removeMdc(String key)

### clearNdc

public void clearNdc()

### getNdc

public String getNdc()

### getNdcDepth

public int getNdcDepth()

### peekNdc

public String peekNdc()

### popNdc

public String popNdc()

### pushNdc

public void pushNdc(String message)

### setNdcMaxDepth

public void setNdcMaxDepth(int maxDepth)